Sha256 mismatch while certbot-auto is setting up the virtual environment

I ran this command:
certbot-auto renew

It produced this output:
`…
Creating virtual environment…
Installing Python packages…
Had a problem while installing Python packages.

pip prints the following errors:


THESE PACKAGES DO NOT MATCH THE HASHES FROM THE REQUIREMENTS FILE. If you have updated the package versions, please update th e hashes. Otherwise, examine the package contents carefully; someone may have tampered with them.
pycparser==2.19 from https://www.piwheels.org/simple/pycparser/pycparser-2.19-py2.py3-none-any.whl#sha256=344870c533812cb 119c5475b5aed033ec546118711338ff9b2b78e67098d64e7 (from -r /tmp/tmp.lnGhADzvnh/letsencrypt-auto-requirements.txt (line 105)):
Expected sha256 a988718abfad80b6b157acce7bf130a30876d27603738ac39f140993246b25b3
Got 344870c533812cb119c5475b5aed033ec546118711338ff9b2b78e67098d64e7
=====================================================`

My web server is (include version):
certonly

The operating system my web server runs on is (include version):
Raspbian

I can login to a root shell on my machine (yes or no, or I don’t know):
yes

The version of my client is (e.g. output of certbot --version or certbot-auto --version if you’re using Certbot):
I did a fresh git clone, which did not help.
(certbot-auto --version yields the same error above)

Hi @romor

that’s a known problem.

Please read

1 Like

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.